<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_10</title>
</head>
<body>
    <h1>Ejercicio 10</h1>
    <script>
    /*10) Programa una función que reciba un número y evalúe si es capicúa 
    o no (que se lee igual en un sentido que en otro), pe. miFuncion(2002) 
    devolverá true.*/

    const numCapicua = (num = 0) => {

        if (!num) return console.warn("No se ingreso un numero");
        if (typeof num !== "number") 
           return console.warn(`El valor ingresado: ${num} no es un numero`);

        num = num.toString();
        let numReves = num.split("").reverse().join("");

        return (num === numReves)
           ? console.log(`Su numero ${num}, SI es capicúa: ${numReves}`)
           : console.log(`Su numero ${num}, NO es capicúa: ${numReves}`);        
    }

    numCapicua(2002);
    numCapicua();
    numCapicua(1331);
    numCapicua(3131);


    </script>
    
</body>
</html>